'use strict';

/**
 * @param {Egg.Application} app - egg application
 */
module.exports = app => {
  const { router, controller } = app;
  // 上传
  router.post('/:appid/upload', controller.home.upload);
  router.post('/:appid/:catalog/upload', controller.home.upload);
  router.post('/:appid/:catalog/:item/upload', controller.home.upload);
  
  router.get(/^\/api*/, controller.home.request);
  router.post(/^\/api*/, controller.home.request);
  router.delete(/^\/api*/, controller.home.request);

};
