/* eslint valid-jsdoc: "off" */

'use strict';

/**
 * @param {Egg.EggAppInfo} appInfo app info
 */

module.exports = appInfo => {
  /**
   * built-in config
   * @type {Egg.EggAppConfig}
   **/
  const config = (exports = {});

  // use for cookie sign key, should change to your own and keep security
  config.keys = appInfo.name + '_1629889590707_2425';

  // add your middleware config here
  config.middleware = [];

  // add your user config here
  const userConfig = {
    // myAppName: 'egg',
  };
  config.cluster = {
    listen: {
      port: 6199,
    },
  };
  config.multipart = {
    mode: 'file',
  };
  config.serverPort = '8090';
  config.serverIp = 'baoan.fwedzgc.com'; // 106.12.161.200;222.169.249.162
  // config.serverPort = '8001';
  // config.serverIp = 'localhost'; // 106.12.161.200

  return {
    ...config,
    ...userConfig,
  };
};
